Bug 832912 - gzip-1.5 is available
gzip-1.5 is available
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gzip (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michal Luscon
Fedora Extras Quality Assurance
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-18 03:53 EDT by Upstream Release Monitoring
Modified: 2012-07-02 04:37 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-28 10:40:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Upstream Release Monitoring 2012-06-18 03:53:03 EDT
Latest upstream release: 1.5
Current version in Fedora Rawhide: 1.4
URL: http://ftp.gnu.org/gnu/gzip/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 1 Account closed by user 2012-06-18 09:49:28 EDT
* Noteworthy changes in release 1.5 (2012-06-17) [stable]

** Bug fixes

  gzip -d now decodes and checks header CRC16 checksums as specified by
  the FHCRC section of Internet RFC 1952.

  "gzip -d -S '' precious.gz" is now rejected immediately.  Before,
  that command would emulate "rm -i precious.gz", but with an easily-
  misunderstood prompt.  I.e., gzip would ask if it's ok to remove the
  existing file, "precious.gz".  If you made the mistake of saying "yes",
  it would remove that input file before attempting to uncompress it.

  gzip -cdf now properly handles input consisting of gzip'd data followed
  by uncompressed data.  Before it would output raw compressed input, too.
  For example, now "(printf x|gzip; echo y)|gzip -dcf" prints "xy\n",
  while before it would print "x<compressed data>y\n".

  gzip -rf no longer compresses files more than once (e.g., replacing
  FOO with FOO.gz.gz) on file systems such as ZFS where a readdir
  loop that unlinks and creates files can revisit output files.
Comment 2 Account closed by user 2012-06-28 18:13:56 EDT
There is no 1.5 in koji:
http://koji.fedoraproject.org/koji/packageinfo?packageID=163

:-?
Comment 3 Michal Luscon 2012-07-02 04:37:58 EDT
1.5 is now available in koji. I am sorry for forgotten build

Note You need to log in before you can comment on or make changes to this bug.